import { Plugin, ToolbarItemType } from '../plugin';
export declare enum CursorTool {
    SELECT = 0,
    HAND = 1
}
export declare class CursorPlugin extends Plugin {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private active;
    private prevActive?;
    private handTool?;
    protected init(): void;
    protected destroy(): void;
    get activeTool(): CursorTool;
    switchTool(tool: CursorTool): void;
}
